%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Email-Address
Version:       1.907
Release:       1mamba
Summary:       Email::Address - RFC 2822 Address Parsing and Creation
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Address-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Email::Address - RFC 2822 Address Parsing and Creation

%prep

%setup -q -n Email-Address-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 1.907-1mamba
- automatic update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 1.905-1mamba
- automatic update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 1.903-1mamba
- automatic update by autodist

* Mon Feb 24 2014 Automatic Build System <autodist@mambasoft.it> 1.901-1mamba
- automatic update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 1.900-1mamba
- automatic update by autodist

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 1.899-1mamba
- automatic update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.898-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 1.897-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.896-2mamba
- perl 5.16 mass rebuild

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 1.896-1mamba
- automatic version update by autodist

* Sun Jan 08 2012 Automatic Build System <autodist@mambasoft.it> 1.893-1mamba
- automatic version update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.892-1mamba
- automatic update by autodist

* Mon Aug 23 2010 Automatic Build System <autodist@mambasoft.it> 1.890-1mamba
- automatic update by autodist

* Sat Jan 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.889-1mamba
- package created by autospec
